DIFF3(1)

NOM
diff3 - Chercher les différences entre trois fichiers

SYNOPSIS
diff3 [options] mine older yours

DESCRIPTION
La commande diff3 compare trois fichiers et produit en sortie les descriptions de leurs différences. Les fichiers à comparer sont mine, older, et yours. Au plus un de ces trois fichiers peut être un tiret -, indiquant à diff3 de lire l'entrée standard pour ce fichier.

OPTIONS
Voici une liste de l'ensemble des options que la version GNU de diff3 accepte. Plusieurs options avec lettre unique (sauf si elles prennent un argument) peuvent être combinées en un seul mot de la ligne de commande.

-a  Traiter tous les fichiers comme du texte et les comparer ligne-à-ligne, même s'ils semblent contenir des données binaires.

-A  Incorporer tous les changements entre older et yours dans mine, entourant tous les conflits entre crochets.

-B  Ancien comportement de -A. Ne pas montrer les conflits.

-e  Générer un script ed qui incorpore toutes les modifications entre older et yours dans mine.

-E  Comme -e, excepté les lignes entre crochets des modifications qui se recoupent entre le premier et le troisième fichier. Avec -e, une modification qui se recoupe ressemble à ceci :

    <<<<<<< mine
    lignes de mine
    =======
    lignes de yours
    >>>>>>> yours

--ed
    Générer un script ed qui incorpore toutes les modifications entre older et yours dans mine.

--easy-only
    Comme -e, sauf que cela produit en sortie les modifications qui ne se recoupent pas.

-i  Générer les commandes w et q à la fin du script ed pour être compatible avec System V. Cette option doit être combinée avec l'une des options -AeExX3, et ne doit pas être combinée avec -m.

--initial-tab
    Ajouter une tabulation plutôt que deux espaces avant le texte d'une ligne dans le format normal. Cela permet l'alignement des tabulations dans une ligne pour apparaître normal.

-L étiquette

--label=étiquette
    Utiliser l'étiquette pour la sortie des crochets avec les options -A, -E et -X. Cette option peut être utilisée jusqu'à trois fois, une pour chaque fichier d'entrée. Les étiquettes par défaut sont les noms des fichiers. Ainsi, diff3 -L X -L Y -L Z -m A B C agit comme diff3 -m A B C , excepté que la sortie est similaire à celle produite par des fichiers nommés X, Y et Z plutôt que par des fichiers nommés A, B et C.

-m

--merge
    Appliquer le script d'édition au premier fichier et envoyer le résultat sur la sortie standard. Contrairement à « tuber » (Ndt : piping) la sortie de diff3 vers ed, ceci fonctionne même pour des fichiers binaires ou des lignes incomplètes. -A est supposée si aucune option de script d'édition n'est indiquée.

--overlap-only
    Comme -e, excepté que cela ne produit en sortie que les modifications qui se recoupent.

--show-all
    Intégrer toutes les modifications non fusionnées entre older et yours dans mine, entourant toutes les modifications qui se recoupent par des lignes avec des crochets.

--show-overlap
    Comme -e, excepté les lignes de crochets des modifications qui se recoupent entre le premier et le troisième fichier.

-T  Ajouter une tabulation plutôt que deux espaces avant le texte d'une ligne dans le format normal. Cela permet l'alignement des tabulations dans une ligne pour apparaître normal.

--text
    Traiter tous les fichiers comme du texte et les comparer ligne-à-ligne, même s'ils semblent contenir des données binaires.

-v

--version
    Afficher le numéro de version de diff3.

-x  Comme -e, excepté que cela ne produit en sortie que les modifications qui se recoupent.

-X  Comme -E, excepté que cela ne produit en sortie que les modifications qui se recoupent. En d'autres mots, comme -x, excepté les modifications de crochets comme pour -E.

-3  Comme -e, excepté que cela ne produit en sortie que les modifications qui ne se recoupent pas.

CODE DE RETOUR
Un code de retour valant 0 signifie que diff3 a réussi, 1 signifie que des conflits sont apparus, 2 indique une erreur.

VOIR AUSSI
cmp(1), comm(1), diff(1), ed(1), patch(1), sdiff(1)

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 diff3 ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.